Skip to main content
GET
/
api
/
external
/
feed
/
all
/
top-signals
List Top Recent Signals
curl --request GET \
  --url https://dashboard.starbridge.ai/api/external/feed/all/top-signals \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://dashboard.starbridge.ai/api/external/feed/all/top-signals"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://dashboard.starbridge.ai/api/external/feed/all/top-signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pageNumber": 123,
  "pageSize": 123,
  "totalItems": 123,
  "totalPages": 123,
  "result": [
    {
      "bridge": {
        "bridgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "columns": [
          {
            "columnId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "bridgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "prompt": "<string>",
            "fieldFormat": {
              "description": "<string>",
              "enumerationValues": [
                {
                  "value": "<string>",
                  "label": "<string>"
                }
              ],
              "outputFields": [
                {
                  "name": "<string>",
                  "description": "<string>"
                }
              ]
            },
            "index": 123,
            "key": "<string>"
          }
        ]
      },
      "row": {
        "rowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "bridgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "columns": {},
        "name": "<string>",
        "buyerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "organizerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "entity": {
          "id": "<string>"
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Bearer Authentication

Query Parameters

triggerIds
string<uuid>[]

Limit results to signals from these bridge ids.

sort
enum<string>
default:Hotness

Sort field. Hotness = by hotness score, Date = by signal date. Always descending. Hotness is the default.

Available options:
Date,
Hotness
pageNumber
integer
default:1

Page number (1-based)

pageSize
integer
default:10

Page size

filterType
enum<string>[]

Filter by bridge filter type (repeatable).

Available options:
RFP,
Meeting,
Purchase,
Buyer,
Contact,
Signal,
Conference,
JobChange,
SequenceBuyer,
SequenceContact,
SequenceJobChange
status
enum<string>[]

Filter by row status. Defaults to New when omitted.

Available options:
New,
Actioned,
Saved,
Attending,
Sponsoring,
NotInterested
relativeDatePeriodFrom
enum<string>
default:LastSevenDays

Lower bound on the signal date as a relative period.

Available options:
LastOneDay,
LastSevenDays,
LastThirtyDays,
LastSixtyDays,
LastOneMonths,
LastTwoMonths,
LastThreeMonths,
LastSixMonths,
LastNineMonths,
LastYear,
LastTwoYears

Response

Paginated list of top recent signals for the organization.

pageNumber
integer
required
pageSize
integer
required
totalItems
integer
required
totalPages
integer
required
result
BridgeSignalResponse · object[]
required